#
# Example Makefile for Onion TeX Slim
#
# See https://gitlab.torproject.org/rhatto/onion-tex-slim
# Inspired by https://gitlab.torproject.org/anarcat/presentations/-/blob/main/soto-2022/Makefile
#

# Folder relative to this Makefile pointing to where the Onion Tex Slim is installed
# Customize to your needs in your main Makefile.
ONION_TEX_SLIM_PATH ?= .

# Default folder where to recursivelly search for slides
SLIDES_FOLDER ?= .

# Build all slide decks in a repository
onion-tex-slim-build-all:
	@$(ONION_TEX_SLIM_PATH)/scripts/onion-tex-slim-build-all $(SLIDES_FOLDER)

# Cleanup previous builds
onion-tex-slim-clean:
	@find $(SLIDES_FOLDER) -name '*.pdf' -exec rm -f {} \; || true

# Build a single slide deck
%.pdf: %.md
	@echo Building $@...
	@$(ONION_TEX_SLIM_PATH)/scripts/onion-tex-slim-build $< $@
